<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_black"
    android:orientation="vertical"
    android:padding="10dp"
    tools:context=".screen.fighter.CreateFighterFragment">

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_name"
        style="@style/BoxInputLayout"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        app:endIconMode="clear_text"
        app:hintEnabled="false">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_name"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/color_white"
            android:hint="@string/name"
            android:inputType="text"
            android:maxLength="50"
            android:padding="0dp" />
    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_desc"
        style="@style/BoxInputLayout"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        app:endIconMode="clear_text"
        app:hintEnabled="false">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_desc"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/color_white"
            android:hint="@string/description"
            android:inputType="text"
            android:maxLength="50"
            android:padding="0dp" />
    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_weight"
        style="@style/BoxInputLayout"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        app:endIconMode="clear_text"
        app:hintEnabled="false">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_weight"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/color_white"
            android:hint="@string/weight"
            android:inputType="text"
            android:maxLength="50"
            android:padding="0dp" />
    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_height"
        style="@style/BoxInputLayout"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        app:endIconMode="clear_text"
        app:hintEnabled="false">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_height"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/color_white"
            android:hint="@string/height"
            android:inputType="text"
            android:maxLength="50"
            android:padding="0dp" />
    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_nationality"
        style="@style/BoxInputLayout"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        app:endIconMode="clear_text"
        app:hintEnabled="false">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_nationality"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/color_white"
            android:hint="@string/nationality"
            android:inputType="text"
            android:maxLength="50"
            android:padding="0dp" />
    </com.google.android.material.textfield.TextInputLayout>

    <Button
        android:id="@+id/uploadButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginBottom="16dp"
        android:paddingStart="16dp"
        android:paddingEnd="16dp"
        android:text="Upload Image" />

    <ImageView
        android:id="@+id/uploadedImageView"
        android:layout_width="200dp"
        android:layout_height="200dp"
        android:layout_gravity="center"
        android:layout_marginBottom="16dp"
        android:background="@color/color_gray_300"
        android:scaleType="centerCrop" />

    <Button
        android:id="@+id/submitButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginBottom="16dp"
        android:paddingStart="16dp"
        android:paddingEnd="16dp"
        android:text="Submit" />

    <ProgressBar
        android:id="@+id/loadingProgressBar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:visibility="gone"/>

</androidx.appcompat.widget.LinearLayoutCompat>